Bug 174684 - CVE-2005-3962 Perl integer overflow issue
CVE-2005-3962 Perl integer overflow issue
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
impact=moderate,source=fulldisclosure...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-01 08:32 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 22:19:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (392 bytes, patch)
2005-12-01 08:38 EST, Josh Bressers
no flags Details | Diff
upstream patch #26240 for this issue (1.77 KB, patch)
2005-12-01 12:22 EST, Jason Vas Dias
no flags Details | Diff
upstream patch #26244 (911 bytes, patch)
2005-12-02 14:39 EST, Jason Vas Dias
no flags Details | Diff
Latest upstream patch for this issue (6.15 KB, patch)
2005-12-08 14:10 EST, Jason Vas Dias
no flags Details | Diff
Upstream patches 26283 (7.41 KB, patch)
2005-12-08 14:25 EST, Jason Vas Dias
no flags Details | Diff
Upstream patch 26284 (3.17 KB, patch)
2005-12-08 14:26 EST, Jason Vas Dias
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-12-01 08:32:39 EST
Perl integer overflow issue

There exists an integer overflow problem in Perl which can lead to a
string format issue.  If a large enough integer is supplied to a
printf statement which uses the %n conversion, it may be possible to
execute arbitrary code.  This problem will not be easy to remotely
exploit as a very poorly written script will first be needed.

http://marc.theaimsgroup.com/?l=full-disclosure&m=113342788118630&w=2

Doesn't Affec: RHEL2.1 

This issue also affects FC3
Comment 1 Josh Bressers 2005-12-01 08:38:32 EST
Created attachment 121681 [details]
Proposed patch
Comment 2 Jason Vas Dias 2005-12-01 12:22:32 EST
Created attachment 121694 [details]
upstream patch #26240 for this issue
Comment 3 Jason Vas Dias 2005-12-01 12:24:37 EST
Now applying with perl-5.8.6-18 for FC-4
Comment 4 Jason Vas Dias 2005-12-01 14:29:54 EST
Fixed with perl-5.8.6-18 in FC-4; 
           perl-5.8.7-0.8.fc5 in FC-5.
Comment 5 Fedora Update System 2005-12-01 15:09:26 EST
From User-Agent: XML-RPC

perl-5.8.6-18 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 6 Fedora Update System 2005-12-01 18:57:45 EST
From User-Agent: XML-RPC

perl-5.8.5-18.FC3 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 7 Jason Vas Dias 2005-12-02 14:39:00 EST
Created attachment 121776 [details]
upstream patch #26244 

Upstream revised their fix of patch #26240 :-(
Comment 8 Jason Vas Dias 2005-12-08 14:10:46 EST
Created attachment 122039 [details]
Latest upstream patch for this issue
Comment 9 Jason Vas Dias 2005-12-08 14:12:09 EST
The upstream perl maintainers have combined the above patch #26244 with 
other sprintf improvements to deal with Sys::Syslog security vulnerabilities,
which are also the subject of CVE-2005-3912 ( CVE-2005-3962 has now been 
raised on this specific integer overflow issue ).  It is recommended to 
apply upstream patches 26235 to 26240 inclusive and 26244 to solve these
issues - I've attached the patches sent by Nicholas Clark, the upstream
perl maintainer, to this bug.

Comment 10 Jason Vas Dias 2005-12-08 14:25:28 EST
Created attachment 122040 [details]
Upstream patches 26283

The complete set of upstream patches for this issue have been integrated
as the official upstream patches #26283 and #26284, attached. Respinning 
perl packages to incorporate new upstream fixes for CVE-2005-3912 and
CVE-2005-3962
Comment 11 Jason Vas Dias 2005-12-08 14:26:07 EST
Created attachment 122041 [details]
Upstream patch 26284
Comment 12 Fedora Update System 2005-12-14 15:31:57 EST
From User-Agent: XML-RPC

perl-5.8.6-22 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 13 Bill Nottingham 2006-09-21 22:19:21 EDT
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.

Note You need to log in before you can comment on or make changes to this bug.